package logger

import (
	"fmt"

	"git.ex.umbach.dev/Alex/roese-utils/rslogger"
	"github.com/gofiber/fiber/v2"
)

func AddSystemLog(format string, v ...any) {
	go rslogger.LogManagerRequestClient(fiber.MethodPost, rslogger.LogManagerRequestBody{
		Type: "system",
		Logs: []string{"I " + rslogger.GetTime() + fmt.Sprintf(format, v...)}})
}

func AddGroupTasksLog(format string, v ...any) {
	go rslogger.LogManagerRequestClient(fiber.MethodPost, rslogger.LogManagerRequestBody{
		Type: "grouptasks",
		Logs: []string{"I " + rslogger.GetTime() + fmt.Sprintf(format, v...)}})
}
